Service
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.deployment.resources
Class Service

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.deployment.resources.Service

    public class Service

extends java.lang.Object

A GCUBE service

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`Service()`
`Service(java.lang.String serviceClass, java.lang.String serviceName, java.lang.String serviceVersion)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static Service` | `fromServiceItem(ServiceItem item)`
`java.lang.String` | `getClazz()`
`java.lang.String` | `getGHN()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`int` | `hashCode()`
`void` | `setClazz(java.lang.String clazz)`
`void` | `setGHN(java.lang.String ghn)`
`void` | `setName(java.lang.String name)`
`void` | `setVersion(java.lang.String version)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Service

    public Service(java.lang.String serviceClass,
                   java.lang.String serviceName,
                   java.lang.String serviceVersion)

### Service

    public Service()

Method Detail

### fromServiceItem

    public static Service fromServiceItem(ServiceItem item)

### getClazz

    public java.lang.String getClazz()

  Returns:
    the clazz

### setClazz

    public void setClazz(java.lang.String clazz)

  Parameters:
    `clazz` - the class to set

### getName

    public java.lang.String getName()

  Returns:
    the name

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - the name to set

### getVersion

    public java.lang.String getVersion()

  Returns:
    the version

### setVersion

    public void setVersion(java.lang.String version)

  Parameters:
    `version` - the version to set

### getGHN

    public java.lang.String getGHN()

  Returns:
    the gHNID

### setGHN

    public void setGHN(java.lang.String ghn)

  Parameters:
    `ghn` - the gHN to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD